# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/ShelveExtension/HgShelveDataDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgShelveDataDialog(object):
    def setupUi(self, HgShelveDataDialog):
        HgShelveDataDialog.setObjectName("HgShelveDataDialog")
        HgShelveDataDialog.resize(500, 167)
        HgShelveDataDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(HgShelveDataDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=HgShelveDataDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.nameEdit = QtWidgets.QLineEdit(parent=HgShelveDataDialog)
        self.nameEdit.setObjectName("nameEdit")
        self.gridLayout.addWidget(self.nameEdit, 0, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=HgShelveDataDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.dateTimeEdit = QtWidgets.QDateTimeEdit(parent=HgShelveDataDialog)
        self.dateTimeEdit.setCalendarPopup(True)
        self.dateTimeEdit.setObjectName("dateTimeEdit")
        self.horizontalLayout.addWidget(self.dateTimeEdit)
        spacerItem = QtWidgets.QSpacerItem(198, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.gridLayout.addLayout(self.horizontalLayout, 1, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=HgShelveDataDialog)
        self.label_3.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 2, 0, 1, 1)
        self.messageEdit = QtWidgets.QLineEdit(parent=HgShelveDataDialog)
        self.messageEdit.setObjectName("messageEdit")
        self.gridLayout.addWidget(self.messageEdit, 2, 1, 1, 1)
        self.addRemoveCheckBox = QtWidgets.QCheckBox(parent=HgShelveDataDialog)
        self.addRemoveCheckBox.setObjectName("addRemoveCheckBox")
        self.gridLayout.addWidget(self.addRemoveCheckBox, 3, 0, 1, 2)
        self.keepCheckBox = QtWidgets.QCheckBox(parent=HgShelveDataDialog)
        self.keepCheckBox.setObjectName("keepCheckBox")
        self.gridLayout.addWidget(self.keepCheckBox, 4, 0, 1, 2)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgShelveDataDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 5, 0, 1, 2)

        self.retranslateUi(HgShelveDataDialog)
        self.buttonBox.accepted.connect(HgShelveDataDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HgShelveDataDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HgShelveDataDialog)
        HgShelveDataDialog.setTabOrder(self.nameEdit, self.dateTimeEdit)
        HgShelveDataDialog.setTabOrder(self.dateTimeEdit, self.messageEdit)
        HgShelveDataDialog.setTabOrder(self.messageEdit, self.addRemoveCheckBox)
        HgShelveDataDialog.setTabOrder(self.addRemoveCheckBox, self.buttonBox)

    def retranslateUi(self, HgShelveDataDialog):
        _translate = QtCore.QCoreApplication.translate
        HgShelveDataDialog.setWindowTitle(_translate("HgShelveDataDialog", "Shelve"))
        self.label.setText(_translate("HgShelveDataDialog", "Name:"))
        self.nameEdit.setToolTip(_translate("HgShelveDataDialog", "Enter a name for the shelve"))
        self.label_2.setText(_translate("HgShelveDataDialog", "Date, Time:"))
        self.dateTimeEdit.setStatusTip(_translate("HgShelveDataDialog", "Enter the commit date and time for the shelve"))
        self.dateTimeEdit.setDisplayFormat(_translate("HgShelveDataDialog", "yyyy-MM-dd HH:mm"))
        self.label_3.setText(_translate("HgShelveDataDialog", "Message:"))
        self.messageEdit.setToolTip(_translate("HgShelveDataDialog", "Enter a message for the shelve"))
        self.addRemoveCheckBox.setText(_translate("HgShelveDataDialog", "Mark new/missing files as added/removed"))
        self.keepCheckBox.setToolTip(_translate("HgShelveDataDialog", "Select to shelve, but keep the changes in the working directory"))
        self.keepCheckBox.setText(_translate("HgShelveDataDialog", "Shelve, but keep changes"))
